Bug 517755 - No audio devices listed after switching runlevel from 5->3->5
Summary: No audio devices listed after switching runlevel from 5->3->5
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ConsoleKit
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: jmccann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-16 18:32 UTC by Clemens Eisserer
Modified: 2015-01-14 23:23 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:36:05 UTC


Attachments (Terms of Use)

Description Clemens Eisserer 2009-08-16 18:32:03 UTC
Description of problem:

When switching to runlevel 3, and then back to 5 no audio devices are listed in kmix, and amarok reports there is a problem, therefor audio doesn't work at all.

Version-Release number of selected component (if applicable):
Rawhide, 11.90, updated on 2009-08-16

How reproducible:


Steps to Reproduce:
1. init 3
2. init 5
3. No audio devices listed in kde
  

Additional info:
Sorry no smolt profile, smolt crashes on my system.

Comment 1 Lennart Poettering 2009-08-17 19:24:44 UTC
No clue about KDE. kmix uses raw alsa afaik. If this doesn't work this is certainly not PA's fault. Hence PA is certainly not the right place to file this bug as it is not involved here.

Probably some ckit issue, check if the acls are properly set up.

Comment 2 Rex Dieter 2009-08-17 19:35:03 UTC
What is the output of:
$ ck-list-sessions

in a session for which audio doesn't work?  

Bonus points for comparing that to a session with working audio.

Comment 3 Clemens Eisserer 2009-08-18 14:46:12 UTC
Output of ck-list-sessions when sound was working (right after startup&login):
Session1:
        unix-user = '500'
        realname = '(null)'
        seat = 'Seat1'
        session-type = ''
        active = TRUE
        x11-display = ':0'
        x11-display-device = '/dev/tty1'
        display-device = ''
        remote-host-name = ''
        is-local = TRUE
        on-since = '2009-08-18T18:34:00.129523Z'
        login-session-id = ''



Output of not working session after 5->3->5:
Session2:
        unix-user = '0'
        realname = 'root'
        seat = 'Seat1'
        session-type = ''
        active = TRUE
        x11-display = ''
        x11-display-device = ''
        display-device = '/dev/tty1'
        remote-host-name = ''
        is-local = TRUE
        on-since = '2009-08-18T20:42:58.585338Z'
        login-session-id = '2'
Session3:
        unix-user = '500'
        realname = '(null)'
        seat = 'Seat1'
        session-type = ''
        active = FALSE
        x11-display = ':0'
        x11-display-device = '/dev/tty1'
        display-device = ''
        remote-host-name = ''
        is-local = TRUE
        on-since = '2009-08-18T20:43:03.832959Z'
        login-session-id = ''

Comment 4 Ngo Than 2009-08-19 08:51:51 UTC
i tried on F11 with latest KDE/Qt from F11-update and cannot reproduce this issue.

Could you please try on F11?

Comment 5 Jaroslav Reznik 2009-08-19 10:13:09 UTC
I can confirm it on Fedora release 11.91 (Rawhide)

kmix(2304) Mixer::setGlobalMaster: Mixer::setGlobalMaster() card= "ALSA::HDA_Intel:1"  control= "PCM:0"
kmix(2304) Mixer_ALSA::openAlsaDevice: "Trying ALSA Device 'hw:0': " not found: snd_ctl_open err= Permission denied
kmix(2304) Mixer_ALSA::openAlsaDevice: "Trying ALSA Device 'hw:1': " not found: snd_ctl_open err= No such file or directory
kmix(2304) Mixer_ALSA::openAlsaDevice: "Trying ALSA Device 'hw:2': " not found: snd_ctl_open err= No such file or directory
...
kmix(2304) Mixer_ALSA::openAlsaDevice: "Trying ALSA Device 'hw:19': " not found: snd_ctl_open err= No such file or directory
kmix(2304) Mixer::getGlobalMasterMD: Mixer::masterCardDevice() returns 0 (no globalMaster)
kmix(2304) MixerToolBox::initMixer: "Sound drivers supported: ALSA + OSS
Sound drivers used: ALSA"
Total number of detected Mixers:  0

Comment 6 Marcela Mašláňová 2009-08-25 07:29:43 UTC
I can confirm this on fedora-release-11.91 (rawhide) without switching into init3.

[marca@caladan lib64]$ ck-list-sessions
Session1:
        unix-user = '500'
        realname = 'Marcela Maslanova'
        seat = 'Seat1'
        session-type = ''
        active = TRUE
        x11-display = ':0'
        x11-display-device = '/dev/tty1'
        display-device = ''
        remote-host-name = ''
        is-local = TRUE
        on-since = '2009-08-25T05:36:28.251754Z'
        login-session-id = '4294967295'

Comment 7 Kevin Kofler 2009-08-25 08:24:44 UTC
Permissions are not being set correctly. What component is supposed to be handling this? ConsoleKit? udev? kernel?

Comment 8 Kevin Kofler 2009-08-30 15:42:53 UTC
I suspect this regression may have something to do with HAL no longer being built with ConsoleKit nor PolicyKit support. If HAL was giving out those permissions until F11, that now needs to happen somewhere else.

Comment 9 Bug Zapper 2009-11-16 11:29:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Michal Schmidt 2010-08-04 10:10:42 UTC
Not sure if it applies to F-12, but in F-13 a similar issue has been diagnosed as a bug in udev (bug 608712).

Comment 11 Marcela Mašláňová 2010-08-05 11:23:30 UTC
I couldn't reproduce this bug in F-13, so this is probably different than bug 608712.

Comment 12 Bug Zapper 2010-11-04 10:29:12 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Marcela Mašláňová 2010-11-04 17:01:13 UTC
F-14 works for me.

ck-list-sessions
Session1:
        unix-user = '501'
        realname = '(null)'
        seat = 'Seat1'
        session-type = ''
        active = TRUE
        x11-display = ':0'
        x11-display-device = '/dev/tty1'
        display-device = ''
        remote-host-name = ''
        is-local = TRUE
        on-since = '2010-11-04T09:02:40.240266Z'
        login-session-id = '4294967295'

Comment 14 Clemens Eisserer 2010-11-04 17:24:34 UTC
I'll soon re-try under an updated Fedora 13.

Comment 15 Bug Zapper 2010-12-05 06:36:05 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.